//----
// Fx
//----

//textures/ut4_chuck_zombie/matrix
//{
//    qer_editorimage textures/ut4_chuck_zombie/matrix.tga
//    q3map_surfacelight 50
//    q3map_globaltexture
//    {
//        map textures/ut4_chuck_zombie/beam_multi.tga
//        rgbGen identity
//        tcMod scale 1 0.25
//        tcMod scroll 0 -0.3
//    }
//    {
//        map $lightmap
//        blendfunc add
//        rgbGen const ( 0.3 0.3 0.3 )
//        tcGen lightmap
//    }
//    {
//        map textures/ut4_chuck_zombie/beam_single.tga
//        blendfunc add
//        rgbGen identity
//        tcMod scroll 0 -0.1
//    }
//    {
//        map textures/ut4_chuck_zombie/beam_single.tga
//        blendfunc add
//        rgbGen identity
//        tcMod scale -1 1
//        tcMod scroll 0 -0.1
//    }
//    {
//        map textures/ut4_chuck_zombie/chars_all.tga
//        blendfunc filter
//        rgbGen identity
//    }
//    {
//        animmap 1 textures/ut4_chuck_zombie/chars_1.tga textures/ut4_chuck_zombie/chars_2.tga textures/ut4_chuck_zombie/chars_3.tga textures/ut4_chuck_zombie/chars_4.tga
//        blendfunc add
//        rgbGen wave inversesawtooth 0 1 0 1
//    }
//    {
//        animmap 2 textures/ut4_chuck_zombie/chars_3.tga textures/ut4_chuck_zombie/chars_4.tga textures/ut4_chuck_zombie/chars_4.tga textures/ut4_chuck_zombie/chars_1.tga textures/ut4_chuck_zombie/chars_1.tga textures/ut4_chuck_zombie/chars_2.tga textures/ut4_chuck_zombie/chars_3.tga
//        blendfunc add
//        rgbGen wave inversesawtooth 0 1 0.5 1
//    }
//}

textures/ut4_chuck_zombie/evil_alien
{
    qer_editorimage textures/ut4_chuck_zombie/evil_alien.tga
    q3map_surfacelight 50
    {
        map textures/ut4_chuck_zombie/evil_alien.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_zombie/floor_alienblend.tga
        rgbgen wave sin .9 .9 0 .4
        blendfunc add
    }
}

textures/ut4_chuck_zombie/chrome
{
    {
        map textures/ut4_chuck_zombie/chrome.tga
        tcGen environment
        tcmod scale .25 .25
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/chots.tga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/chots2.tga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        rgbgen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//textures/ut4_chuck_zombie/icy
//{
//    qer_editorimage textures/ut4_chuck_zombie/icy.tga
//    surfaceparm nodamage
//    surfaceparm slick
//    {
//        map textures/ut4_chuck_zombie/icy.tga
//    }
//    {
//        map $lightmap
//        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
//        rgbGen identity
//    }
//    {
//        map textures/ut4_chuck_zombie/tintx.tga
//        tcGen environment
//        blendFunc GL_DST_COLOR GL_SRC_COLOR
//    }
//}

//textures/ut4_chuck_zombie/fog
//{
//	qer_editorimage textures/ut4_chuck_zombie/fog.tga
//	qer_trans .5
//	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm fog
//	surfaceparm nolightmap
//	qer_nocarve
//	fogparms ( 0.9 1 0.9 ) 8000
//}

//--------
// Decals
//--------

//textures/ut4_chuck_zombie/rust_decal_12
//{
//	noPicMip
//	//draws polygons of this shader just above coplanar surface
//	polygonOffset
//	//prevents bounce from affecting this shader
//	q3map_bounceScale 0
//	surfaceparm detail
//	surfaceparm nomarks
//	surfaceparm nonsolid
//	{
//		map textures/ut4_chuck_zombie/rust_decal_12.tga
//		//inverse multiplicative blend (TGA channels inverted)
//		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
//	}
//}

//--------
// Lights
//--------

//-----------------------
// Fix for Light entities
//-----------------------

textures/ut4_chuck_zombie/bright_light
{
    qer_editor_image textures/ut4_chuck_zombie/bright_light.tga
    surfaceparm nodamage
    surfaceparm nomarks
    {
        map textures/ut4_chuck_zombie/bright_light.tga
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/ut4_chuck_zombie/e6mtltpnl_light
{
    qer_editorimage textures/ut4_chuck_zombie/e6mtltpnl_light.tga
    //q3map_surfacelight ?
    surfaceparm nomarks
    {
        map textures/ut4_chuck_zombie/e6mtltpnl_light.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_zombie/e6mtltpnl_light_blend.tga
        blendfunc add
		rgbgen wave sawtooth .5 .1 0 7
    }
}

textures/ut4_chuck_zombie/e6horzlight
{
    qer_editorimage textures/ut4_chuck_zombie/e6horzlight.tga
    //q3map_surfacelight ?
    surfaceparm nomarks
    {
        map textures/ut4_chuck_zombie/e6horzlight.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_zombie/e6horzlight_blend.tga
        blendfunc add
    }
}

textures/ut4_chuck_zombie/e6v_light
{
    qer_editorimage textures/ut4_chuck_zombie/e6v_light.tga
    //q3map_surfacelight ?
    surfaceparm nomarks

    {
        map textures/ut4_chuck_zombie/e6v_light.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_zombie/e6v_light_blend.tga
        blendfunc add
    }
}

textures/ut4_chuck_zombie/e6platelight
{
    qer_editorimage textures/ut4_chuck_zombie/e6platelight.tga
    //q3map_surfacelight ?
    surfaceparm nomarks
    {
        map textures/ut4_chuck_zombie/e6platelight.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_zombie/e6platelight_blend.tga
        blendfunc add
    }
}

//textures/ut4_chuck_zombie/g_lightbeam_glow
//{
//    surfaceparm trans
//    surfaceparm nomarks
//    surfaceparm nonsolid
//    surfaceparm nolightmap
//    surfaceparm nomipmaps
//    cull none
//    {
//        map textures/ut4_chuck_zombie/g_lightbeam_glow.tga
//        tcMod Scroll .3 0
//        blendFunc add
//    }
//}

//textures/ut4_chuck_zombie/g_lightbeam
//{
//    qer_editorimage textures/ut4_chuck_zombie/g_lightbeam.tga
//    q3map_surfacelight 50
//    surfaceparm nomarks
//    {
//        map textures/ut4_chuck_zombie/g_lightbeam.tga
//    }
//    {
//        map $lightmap
//        blendfunc filter
//    }
//    {
//        map textures/ut4_chuck_zombie/g_lightbeam_glow.tga
//        blendfunc add
//    }
//}

textures/ut4_chuck_zombie/neon_vernil
{
    q3map_surfacelight 100
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/neon_vernil_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/neon_vernil.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/neon_vernil.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/ut4_chuck_zombie/neon_vernil_glow.tga
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin .5 .3 .25 1.5
        blendfunc GL_ONE GL_ONE
    }
}

//textures/ut4_chuck_zombie/neon_vernil
//{
//    q3map_surfacelight 100
//    q3map_lightsubdivide 32
//    q3map_lightimage textures/ut4_chuck_zombie/neon_vernil_glow.tga
//    qer_editorimage textures/ut4_chuck_zombie/neon_vernil.tga
//    {
//        map $lightmap
//        rgbGen identity
//    }
//    {
//        map textures/ut4_chuck_zombie/neon_vernil.tga
//        blendFunc GL_DST_COLOR GL_ZERO
//        rgbGen identity
//		tcMod turb 0 .2 0 .1
//    }
//    {
//        map textures/ut4_chuck_zombie/neon_vernil_glow.tga
//        blendfunc GL_ONE GL_ONE
//		tcMod turb 0 .1 0 .1
//    }
//}

textures/ut4_chuck_zombie/bright_green
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/bright_green.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/green_button
{
    q3map_surfacelight 50
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/green_button_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/green_button.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/green_button.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/green_button_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/orange
{
    q3map_surfacelight 50
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/orange_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/orange.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/orange.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/orange_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

//--------
// Asphalt
//--------

textures/ut4_chuck_zombie/asphalt
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/asphalt.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/asphalt_1
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/asphalt_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/asphalt_2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/asphalt_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/asphalt_2_90
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/asphalt_2_90.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/asphalt_side
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/asphalt_side.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/asphalt_side_180
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/asphalt_side_180.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//------
// Trim
//------

textures/ut4_chuck_zombie/e7bmtrim 
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7bmtrim.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e7bmtrim2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7bmtrim2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e8support06b
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e8support06b.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e6q3support
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e6q3support.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//-----------
// Floor
//-----------

//textures/ut4_chuck_zombie/floor_1
//{
//    qer_editorimage textures/ut4_chuck_zombie/floor_1.tga
//    {
//        map textures/ut4_chuck_zombie/floor_1.tga
//    }
//    {
//        map $lightmap
//        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
//        rgbGen identity
//   }
//}

textures/ut4_chuck_zombie/floor_2
{
    qer_editorimage textures/ut4_chuck_zombie/floor_2.tga
    {
        map textures/ut4_chuck_zombie/floor_2.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/ut4_chuck_zombie/e7dimfloor
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7dimfloor.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e7dimfloor_ow
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7dimfloor_ow.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e7sbrickfloor
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7sbrickfloor.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e7sbrickfloor_ow
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7sbrickfloor_ow.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e7sbrickfloorbig
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7sbrickfloorbig.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//-----------------
// General textures
//-----------------

textures/ut4_chuck_zombie/orange
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/orange.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/drkmtl_mpanelgrt
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/drkmtl_mpanelgrt.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e7bricks01
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7bricks01.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/block1_1
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/block1_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e7walldesign01b
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e7walldesign01b.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/r_metal_black
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/r_metal_black.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/w_rust_metal3
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/w_rust_metal3.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e6basegrate
{
	qer_editorimage textures/ut4_chuck_zombie/e6basegrate.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_zombie/e6basegrate.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_zombie/e6basegrt_smll
{
	qer_editorimage textures/ut4_chuck_zombie/e6basegrt_smll.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_zombie/e6basegrt_smll.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_zombie/e6simpwallsupp
{
	qer_editorimage textures/ut4_chuck_zombie/e6simpwallsupp.tga
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_zombie/e6simpwallsupp.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_zombie/e6simpwallsupp_rst
{
	qer_editorimage textures/ut4_chuck_zombie/e6simpwallsupp_rst.tga
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_zombie/e6simpwallsupp_rst.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_zombie/e8_mtlwall1b
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e8_mtlwall1b.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/stuccometdrk
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/stuccometdrk.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e6indsdoor
{
	qer_editorimage textures/ut4_chuck_zombie/e6indsdoor.tga
	surfaceparm trans
    surfaceparm metalsteps
    cull none
	{
		map textures/ut4_chuck_zombie/e6indsdoor.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_zombie/mrc4_rust02
{
	qer_editorimage textures/ut4_chuck_zombie/mrc4_rust02.tga
	surfaceparm trans
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_zombie/mrc4_rust02.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_zombie/metal
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/metal.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/e8_mtlwall3
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/e8_mtlwall3.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/floor5_2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/floor5_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/mat5c
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/mat5c.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/flr_b-w
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/flr_b-w.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/flr_b-w_drty
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/flr_b-w_drty.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/flr_b-w_drty_bld
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/flr_b-w_drty_bld.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}


textures/ut4_chuck_zombie/flr_b-w_drty_bld2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/flr_b-w_drty_bld2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//-------
// Logos
//-------

textures/ut4_chuck_zombie/fun_logo
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/fun_logo_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/fun_logo.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/fun_logo.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/fun_logo_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/nizarin_logo
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/nizarin_logo_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/nizarin_logo.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/nizarin_logo.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/nizarin_logo_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/dennis_ritchie
{
    noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/dennis_ritchie_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/dennis_ritchie.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/dennis_ritchie.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/dennis_ritchie_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/richard_stallman
{
    noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/richard_stallman_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/richard_stallman.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/richard_stallman.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/richard_stallman_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/linus_torvalds
{
    noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/linus_torvalds_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/linus_torvalds.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/linus_torvalds.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/linus_torvalds_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/your_god
{
    noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/your_god_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/your_god.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/your_god.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/your_god_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/eoc
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/eoc_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/eoc.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/eoc.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/eoc_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/grom
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/grom_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/grom.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/grom.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/grom_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/sg_banner
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/sg_banner_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/sg_banner.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/sg_banner.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/sg_banner_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/sachka
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/sachka_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/sachka.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/sachka.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/sachka_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/sachka_2
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/sachka_2_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/sachka_2.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/sachka_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/sachka_2_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/urt_banner
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/urt_banner_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/urt_banner.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/urt_banner.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/urt_banner_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/urban_zone_league
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/urban_zone_league_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/urban_zone_league.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/urban_zone_league.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/urban_zone_league_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/spunky
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/spunky_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/spunky.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/spunky.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/spunky_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/esp
{
    noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/esp_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/esp.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/esp.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/esp_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

//textures/ut4_chuck_zombie/fallin_logo
//{
//    {
//        map $lightmap
//        rgbGen identity
//    }
//    {
//        map textures/ut4_chuck_zombie/fallin_logo.tga
//        blendFunc GL_DST_COLOR GL_ZERO
//    }
//}

textures/ut4_chuck_zombie/grey
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/grey.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_zombie/elsa
{
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/elsa_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/elsa.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/elsa.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/elsa_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/b1_evil
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/b1_evil_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/b1_evil.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/b1_evil.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/b1_evil_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/ut4_chuck_zombie/redmoon
{
	noPicMip
    q3map_surfacelight 5
    q3map_lightsubdivide 32
    q3map_lightimage textures/ut4_chuck_zombie/redmoon_glow.tga
    qer_editorimage textures/ut4_chuck_zombie/redmoon.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/redmoon.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_chuck_zombie/redmoon_glow.tga
        blendfunc GL_ONE GL_ONE
    }
}

//-------
// Common
//-------

textures/ut4_chuck_zombie/lavacaulk
{
    qer_editorimage textures/ut4_chuck_zombie/lavacaulk.tga
    qer_trans 0.4
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/ut4_chuck_zombie/watercaulk
{
    qer_trans 0.4
    qer_editorimage textures/ut4_chuck_zombie/watercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm water
}

textures/ut4_chuck_zombie/ladderclip
{
	qer_trans 0.40
	qer_editor_image textures/ut4_chuck_zombie/ladderclip.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
    surfaceparm ladder
    surfaceparm trans
}

textures/ut4_chuck_zombie/skip
{
	qer_editor_image textures/ut4_chuck_zombie/skip.tga
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm skip
	surfaceparm structural
	surfaceparm trans
}

textures/ut4_chuck_zombie/cushion
{
    qer_nocarve
    qer_trans 0.50
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodamage
}

//---------
// Liquids
//---------

//textures/ut4_chuck_zombie/akuta_toxic
//{
//    qer_editorimage textures/ut4_chuck_zombie/akuta_toxic.tga
//    q3map_globaltexture
//    q3map_lightsubdivide 32
//    surfaceparm noimpact
//    surfaceparm lava
//    surfaceparm nolightmap
//    //q3map_surfacelight ?
//    cull disable
//    deformVertexes wave 100 sin 3 2 .1 0.1
//    {
//        map textures/ut4_chuck_zombie/akuta_toxic.tga
//        tcMod turb 0 .2 0 .1
//    }
//}

//-----
// Sky
//-----

textures/ut4_chuck_zombie/sky
{
    qer_editorimage textures/ut4_chuck_zombie/sky.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightsubdivide 256
    surfaceparm sky
    q3map_surfacelight 90
    q3map_sun 1 1 1 100 250 90
    q3map_lightimage textures/ut4_chuck_zombie/clouds_blank_light.tga 
    skyparms env/ut4_chuck_zombie/whitej 1200 -
    {
        map textures/ut4_chuck_zombie/clouds1.tga
        tcMod scale 3 2
        tcMod scroll 0.01 0.01
        depthWrite
    }
    {
        map textures/ut4_chuck_zombie/clouds2.tga
		depthWrite
        tcMod scroll 0.01 0.01
        tcMod scale 3 2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen wave sin 0.9 0.25 1 0.04
    }
	{
        map textures/ut4_chuck_zombie/lightning.tga 
        blendfunc add
        rgbGen wave noise 0 1 0 10
        tcMod scale 0.20 0.20
        tcMod rotate 20
    }
}
